class SubExpo < Struct.new(:presenter, :key, :sub_expo, :block)
  def go(object, context, index=nil)
    associated = self.presenter.to_proc.call(object)
    sub = Expo2.new(self.sub_expo, &self.block)
    if associated
      { self.key => sub.expo(associated, context) }
    else
      {}
    end
  end
  def inspect
    "<Expo2::SubExpo>"
  end
end
