class MergeExpo < Struct.new(:presenter, :sub_expo, :block)
  def go(object, context, index=nil)
    associated = self.presenter.to_proc.call(object)
    sub = Expo2.new(self.sub_expo, &self.block)
    if associated
      sub.expo(associated, context, index)
    else
      {}
    end
  end
  def inspect
    "<Expo2::MergeExpo>"
  end
end
